CREATE OR REPLACE TYPE session_id_rowtype wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
d
9200000
1
4
0 
5
2 :e:
1TYPE:
1SESSION_ID_ROWTYPE:
1OBJECT:
1JOB_ID:
1INTEGER:
0
0
0
12
2
0 a0 9d a0 60 a3 a0 1c
b0 81 77 a0 102 a0 c6 1d
17 b5 
12
2
0 3 3b b f 2f 23 27
22 36 7 42 1f 46 4a 4c
4d 56 
12
2
0 1 6 1c 1 24 :2 2b :2 24
1 :2 34 :5 1 
12
4
0 :11 1 
58
4
:3 0 1 :3 0 2
0 4 0 3
:3 0 5 :3 0 c
1 a :9 0 b
:2 0 3 5 :3 0
6 :7 0 4 :6 0
8 7 0 4
0 2 4 2
1 :3 0 2 :3 0
2 :2 0 2 d
a 0 f e
11 :8 0 
7
4
:3 0 1 5 1
9 
1
4
0 
10
0
1
14
1
2
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
5 1 0
2 0 1
0
/
CREATE OR REPLACE TYPE session_id_tabletype AS TABLE OF session_id_rowtype;
/
CREATE TABLE part_task (
        job_id          INTEGER NOT NULL,
        task_id         INTEGER NOT NULL,
        status_code     INTEGER NOT NULL,
        operation       INTEGER NOT NULL,
        task_date       DATE NOT NULL,
        part_table_id   INTEGER NOT NULL,
        table_name      VARCHAR2(30) NOT NULL,
        tablespace_name VARCHAR2(30) NOT NULL,
        period          CHAR(1) NOT NULL,
        run_hourly      CHAR(1) NOT NULL,
        run_daily       CHAR(1) NOT NULL,
        run_weekly      CHAR(1) NOT NULL,
        run_monthly     CHAR(1) NOT NULL,
        needs_export    CHAR(1) NOT NULL,
        needs_analyze   CHAR(1) NOT NULL,
        needs_move      CHAR(1) NOT NULL,
        needs_purge     CHAR(1) NOT NULL,
        future_part     INTEGER,
        past_part       INTEGER,
        part_name       VARCHAR2(30),
        add_sproc       VARCHAR2(2000),
        drop_sproc      VARCHAR2(2000),
        pre_drop_sproc  VARCHAR2(2000),
        stat_mask       INTEGER NOT NULL,
        creation_date   DATE,
        move_parallelism_degree number(2),
        stats_parallelism_degree number(2), 
CONSTRAINT pk_part_task 
   PRIMARY KEY (job_id, task_id),
CONSTRAINT fk_part_task_task 
   FOREIGN KEY (job_id, task_id) 
   REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
tablespace wm_flexpm;
CREATE UNIQUE INDEX part_task_operation_idx 
     on part_task( job_id, task_id, operation ) 
     INITRANS 32 
     TABLESPACE wm_flexpm;
CREATE OR REPLACE VIEW part_task_active
AS
   SELECT * FROM part_task
   WHERE status_code = 3 -- g_OPS_Active
/
