begin

 -- SEAde69411: Part maint parallelism
 --
   run_sql( ' ALTER TABLE part_tables ADD '
         || ' ( '
         || '   move_parallelism_degree number(2) CONSTRAINT part_tables_move_par_ck '
         || '      CHECK (nvl(move_parallelism_degree,0) >= 0), '
         || '   stats_parallelism_degree number(2) CONSTRAINT part_tables_stats_par_ck '
         || '      CHECK (nvl(stats_parallelism_degree,0) >= 0) '
         || ' ) ' );

   run_sql( ' CREATE TABLE part_tablespaces '
         || ' ( '
         || '   tablespace_name  VARCHAR2(30)     NOT NULL, '
         || '   move_parallelism_degree number(2) CONSTRAINT part_tablespaces_move_par_ck '
         || '      CHECK (nvl(move_parallelism_degree,0) >= 0), '
         || '   stats_parallelism_degree number(2) CONSTRAINT part_tablespaces_stats_par_ck '
         || '      CHECK (nvl(stats_parallelism_degree,0) >= 0), '   
         || '   CONSTRAINT pk_part_tablespaces PRIMARY KEY (tablespace_name) '
         || ' ) '
         || ' TABLESPACE wm_flexpm ' );

END;
/
commit;
